Subject: Re: [PATCH 3/9] wrapper: add sleep_nanosec

From: Siddh Raman Pant <[email-masked]>
Date: Wed, 20 May 2026 07:07:41 +0000

On Wed, May 20 2026 at 05:20:44 +0530, Junio C Hamano wrote:
> The space above the signed-off-by line should be utilized to explain
> why we want this change.  For the purpose of this series, why do we
> want to sleep at nanosecond precision?

The current time returned by getnanotime() is in nanoseconds which is
used for deadline, so to avoid re-casting in helper code path we try to
stay in nanosecond world. The caller can store in ns once and reuse it
everytime.

Thanks,
Siddh